{% extends 'app_base.html.twig' %}

{% block title %} {{ 'cert_add_result.head.title'|trans }} / {{ appName }}{% endblock %}
{% block body %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ path('app_home') }}">{{ 'breadcrumb.homepage'|trans }}</a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ path('app_cert-manager') }}">{{ 'breadcrumb.certificates'|trans }}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">
                {{ 'breadcrumb.certificates.cert_add_result'|trans }}
            </li>
        </ol>
    </nav>

    <h1>{{ 'cert_add_result.page.title'|trans }} </h1>
    <hr class="col-3 col-md-2 mb-5">

    {% if errorMsg is empty %}

        <div class="alert alert-success" role="alert">
            <h2>  SUCCESS      </h2>
{#            <p> A PKCS12 certificate was generated and sent to <strong>{{ userMail }}</strong>. </p>#}
            <ul>
                <li> {{ 'cert_add_result.message.pkcs12_protected'|trans|raw }} </li>
{#              <li> {{ 'cert_add_result.message.email_send'|trans|raw }} </li>#}
                <li>
                    {{ 'cert_add_result.message.email_send.start'|trans }}
                    <strong>{{ userMail }}</strong>
                    {{ 'cert_add_result.message.email_send.end'|trans|raw }}
                </li>
            </ul>

        </div>
        <p> {{ 'cert_add_result.download.intro'|trans }}
            <a id="cert_download-public-key"
               title="{{ 'cert_add_result.download.link.title'|trans }} {{ serialNumber }}"
               href="{{ path('app_cert-manager_certificate_download',{'serialNumber': serialNumber}) }}">
                {{ 'cert_add_result.download.link'|trans }}</a> {{ 'cert_add_result.download.help'|trans }}
        </p>



        <h3> {{ 'cert_add_result.data.title'|trans }} </h3>
        <table class="table  table-striped table-hover">
            <thead>
            <tr>
                <th> {{ 'cert_add_result.data.col.info'|trans }} </th>
                <th> {{ 'cert_add_result.data.col.value'|trans }} </th>
            </tr>
            </thead>
            <tbody>
            {% for key, info in certSubject %}
                <tr>
                    <td> {{ key | humanize | title }} </td>
                    <td id="cert_subject_{{ key  }}"> {{ info }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>




        <h3> {{ 'cert_add_result.tech-data.title'|trans }} </h3>
        <table class="table  table-striped table-hover">
            <thead>
            <tr>
                <th> {{ 'cert_add_result.tech-data.col.info'|trans }} </th>
                <th> {{ 'cert_add_result.tech-data.col.value'|trans }}  </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td> <abbr lang="{{ 'cert_add_result.tech-data.line.crl.lang'|trans }}"
                            title="{{ 'cert_add_result.tech-data.line.crl.title'|trans }}">
                        {{ 'cert_add_result.tech-data.line.crl'|trans }}</abbr>
                </td>
                <td>
                    {% if certCrl is not empty %}
                        <a id="cert_Crl"
                           title="{{ 'cert_add_result.tech-data.line.crl.download'|trans }}"
                           href="{{ certCrl }}">{{ certCrl }}</a>
                    {% endif %}
                </td>
            </tr>
            <tr>
                <td> {{ 'cert_add_result.tech-data.line.valid-from'|trans }}  </td>
                <td id="cert_validFrom"> {{ validFrom }} </td>
            </tr>
            <tr>
                <td> {{ 'cert_add_result.tech-data.line.valid-to'|trans }}  </td>
                <td id="cert_validTo"> {{ validTo }} </td>
            </tr>
            <tr>
                <td> {{ 'cert_add_result.tech-data.line.serial-number.decimal'|trans }}  </td>
                <td> {{ serialNumberDecimal }}</td>
            </tr>
            <tr>
                <td> {{ 'cert_add_result.tech-data.line.serial-number.hexadecimal'|trans }}  </td>
                <td id="cert_serial-number">{{ serialNumber }}</td>
            </tr>
            <tr>
                <td> {{ 'cert_add_result.tech-data.line.subject'|trans }}  </td>
                <td>  <small id="cert_subject"> {{ certName }} </small></td>
            </tr>
            </tbody>
        </table>

    {% else %}
        <div class="alert alert-danger" role="alert">
            <h2>  FAILED      </h2>
            <p>  {{ errorMsg }} </p>
        </div>
    {% endif %}

{% endblock %}
